cutlass::platform::is_floating_point< T > Struct Template Reference

std::is_floating_point

`#include <platform.h>`

Inheritance diagram for cutlass::platform::is_floating_point< T >:
[legend]
Collaboration diagram for cutlass::platform::is_floating_point< T >:
[legend]

## Additional Inherited Members

Public Types inherited from cutlass::platform::integral_constant< bool,(is_same< float, remove_cv< T >::type >::value||is_same< double, remove_cv< T >::type >::value)>
typedef bool | value_type
typedef integral_constant< bool, V > | type
Public Member Functions inherited from cutlass::platform::integral_constant< bool,(is_same< float, remove_cv< T >::type >::value||is_same< double, remove_cv< T >::type >::value)>
CUTLASS_HOST_DEVICE | operator value_type () const
CUTLASS_HOST_DEVICE const value_type | operator() () const
Static Public Attributes inherited from cutlass::platform::integral_constant< bool,(is_same< float, remove_cv< T >::type >::value||is_same< double, remove_cv< T >::type >::value)>
static const bool | value

The documentation for this struct was generated from the following file:

- platform.h